All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
faiss::RangeSearchPartialResult Struct Reference

the entries in the buffers are split per query More...

`#include <AuxIndexStructures.h>`

Inheritance diagram for faiss::RangeSearchPartialResult:

## Classes

struct | QueryResult
| result structure for a single query More...

## Public Member Functions

| RangeSearchPartialResult (RangeSearchResult *res_in)
QueryResult & | new_result (idx_t qno)
| begin a new result
void | finalize ()
void | set_lims ()
| called by range_search before do_allocation
void | set_result (bool incremental=false)
| called by range_search after do_allocation
Public Member Functions inherited from faiss::BufferList
| BufferList (size_t buffer_size)
void | append_buffer ()
void | add (idx_t id, float dis)
void | copy_range (size_t ofs, size_t n, idx_t *dest_ids, float *dest_dis)

## Public Attributes

RangeSearchResult * | res
std::vector< QueryResult > | queries
Public Attributes inherited from faiss::BufferList
size_t | buffer_size
std::vector< Buffer > | buffers
size_t | wp
| write pointer in the last buffer.

## Additional Inherited Members

Public Types inherited from faiss::BufferList
typedef Index::idx_t | idx_t

## Detailed Description

the entries in the buffers are split per query

Definition at line 139 of file AuxIndexStructures.h.

The documentation for this struct was generated from the following files:

- /data/users/matthijs/github_faiss/faiss/AuxIndexStructures.h
- /data/users/matthijs/github_faiss/faiss/AuxIndexStructures.cpp